Bug 61628 - Add ENABLE_CSS_EXCLUSIONS support for build-webkit script
Summary: Add ENABLE_CSS_EXCLUSIONS support for build-webkit script
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57311
  Show dependency treegraph
 
Reported: 2011-05-27 06:31 PDT by Alexandru Chiculita
Modified: 2011-06-06 03:45 PDT (History)
2 users (show)

See Also:


Attachments
Patch (22.62 KB, patch)
2011-05-27 06:53 PDT, Alexandru Chiculita
no flags Details | Formatted Diff | Diff
Patch (22.89 KB, patch)
2011-05-30 03:55 PDT, Alexandru Chiculita
no flags Details | Formatted Diff | Diff
Patch (22.43 KB, patch)
2011-06-06 02:19 PDT, Alexandru Chiculita
tkent: review-
Details | Formatted Diff | Diff
Patch - updated Changelogs (22.46 KB, patch)
2011-06-06 02:31 PDT, Alexandru Chiculita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandru Chiculita 2011-05-27 06:31:54 PDT
Add "--exclusions" for "build-webkit" and change required files to propagate the flag to the compilers.
Comment 1 Alexandru Chiculita 2011-05-27 06:53:35 PDT
Created attachment 95167 [details]
Patch
Comment 2 Alexandru Chiculita 2011-05-30 03:55:04 PDT
Created attachment 95333 [details]
Patch
Comment 3 Alexandru Chiculita 2011-06-06 02:19:13 PDT
Created attachment 96070 [details]
Patch

Used ENABLE_CSS_EXCLUSIONS instead of ENABLE_REGIONS
Comment 4 Kent Tamura 2011-06-06 02:22:39 PDT
Comment on attachment 96070 [details]
Patch

Needs to update the summary lines of ChangeLog.
Comment 5 Alexandru Chiculita 2011-06-06 02:31:34 PDT
Created attachment 96071 [details]
Patch - updated Changelogs
Comment 6 Kent Tamura 2011-06-06 02:40:00 PDT
Comment on attachment 96071 [details]
Patch - updated Changelogs

ok
Comment 7 WebKit Commit Bot 2011-06-06 03:45:26 PDT
Comment on attachment 96071 [details]
Patch - updated Changelogs

Clearing flags on attachment: 96071

Committed r88151: <http://trac.webkit.org/changeset/88151>
Comment 8 WebKit Commit Bot 2011-06-06 03:45:31 PDT
All reviewed patches have been landed.  Closing bug.